# Uses of Class
org.bukkit.potion.PotionEffect

Packages that use PotionEffect
Package
Description
com.destroystokyo.paper.event.block
org.bukkit.block
Classes used to manipulate the voxels in a `world`, including special states.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.
org.bukkit.potion
Classes to represent various `potion` properties and manipulation.

## Uses of PotionEffect in com.destroystokyo.paper.event.block

Methods in com.destroystokyo.paper.event.block that return PotionEffect
Modifier and Type
Method
Description
`@NotNull PotionEffect`
BeaconEffectEvent.`getEffect()`
Gets the potion effect being applied.
Methods in com.destroystokyo.paper.event.block with parameters of type PotionEffect
Modifier and Type
Method
Description
`void`
BeaconEffectEvent.`setEffect(@NotNull PotionEffect effect)`
Sets the potion effect that will be applied.
Constructors in com.destroystokyo.paper.event.block with parameters of type PotionEffect
Modifier
Constructor
Description
``
`BeaconEffectEvent(@NotNull Block block, @NotNull PotionEffect effect, @NotNull Player player, boolean primary)`

## Uses of PotionEffect in org.bukkit.block

Methods in org.bukkit.block that return PotionEffect
Modifier and Type
Method
Description
`@Nullable PotionEffect`
Beacon.`getPrimaryEffect()`
Returns the primary effect set on the beacon
`@Nullable PotionEffect`
Beacon.`getSecondaryEffect()`
Returns the secondary effect set on the beacon.

## Uses of PotionEffect in org.bukkit.entity

Methods in org.bukkit.entity that return PotionEffect
Modifier and Type
Method
Description
`@Nullable PotionEffect`
LivingEntity.`getPotionEffect(@NotNull PotionEffectType type)`
Returns the active `PotionEffect` of the specified type.
Methods in org.bukkit.entity that return types with arguments of type PotionEffect
Modifier and Type
Method
Description
`@NotNull Collection<PotionEffect>`
LivingEntity.`getActivePotionEffects()`
Returns all currently active `PotionEffect`s on the living entity.
`@NotNull List<PotionEffect>`
AreaEffectCloud.`getCustomEffects()`
Gets an immutable list containing all custom potion effects applied to this cloud.
`@NotNull List<PotionEffect>`
Arrow.`getCustomEffects()`
Gets an immutable list containing all custom potion effects applied to this arrow.
`@NotNull Collection<PotionEffect>`
ThrownPotion.`getEffects()`
Returns the effects that are applied by this potion.
Methods in org.bukkit.entity with parameters of type PotionEffect
Modifier and Type
Method
Description
`boolean`
AreaEffectCloud.`addCustomEffect(@NotNull PotionEffect effect, boolean overwrite)`
Adds a custom potion effect to this cloud.
`boolean`
Arrow.`addCustomEffect(@NotNull PotionEffect effect, boolean overwrite)`
Adds a custom potion effect to this arrow.
`boolean`
LivingEntity.`addPotionEffect(@NotNull PotionEffect effect)`
Adds the given `PotionEffect` to the living entity.
`boolean`
LivingEntity.`addPotionEffect(@NotNull PotionEffect effect, boolean force)`
Deprecated.
no need to force since multiple effects of the same type are now supported.
Method parameters in org.bukkit.entity with type arguments of type PotionEffect
Modifier and Type
Method
Description
`boolean`
LivingEntity.`addPotionEffects(@NotNull Collection<PotionEffect> effects)`
Attempts to add all of the given `PotionEffect` to the living entity.

## Uses of PotionEffect in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return PotionEffect
Modifier and Type
Method
Description
`@Nullable PotionEffect`
EntityPotionEffectEvent.`getNewEffect()`
Gets new potion effect of the changed type to be applied.
`@Nullable PotionEffect`
EntityPotionEffectEvent.`getOldEffect()`
Gets the old potion effect of the changed type, which will be removed.
Constructors in org.bukkit.event.entity with parameters of type PotionEffect
Modifier
Constructor
Description
``
`EntityPotionEffectEvent(@NotNull LivingEntity livingEntity, @Nullable PotionEffect oldEffect, @Nullable PotionEffect newEffect, @NotNull EntityPotionEffectEvent.Cause cause, @NotNull EntityPotionEffectEvent.Action action, boolean override)`

## Uses of PotionEffect in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta that return types with arguments of type PotionEffect
Modifier and Type
Method
Description
`@NotNull List<PotionEffect>`
PotionMeta.`getCustomEffects()`
Gets an immutable list containing all custom potion effects applied to this potion.
`@NotNull List<PotionEffect>`
SuspiciousStewMeta.`getCustomEffects()`
Gets an immutable list containing all custom potion effects applied to this suspicious stew.
Methods in org.bukkit.inventory.meta with parameters of type PotionEffect
Modifier and Type
Method
Description
`boolean`
PotionMeta.`addCustomEffect(@NotNull PotionEffect effect, boolean overwrite)`
Adds a custom potion effect to this potion.
`boolean`
SuspiciousStewMeta.`addCustomEffect(@NotNull PotionEffect effect, boolean overwrite)`
Adds a custom potion effect to this suspicious stew.

## Uses of PotionEffect in org.bukkit.potion

Methods in org.bukkit.potion that return PotionEffect
Modifier and Type
Method
Description
`@NotNull PotionEffect`
PotionBrewer.`createEffect(@NotNull PotionEffectType potion, int duration, int amplifier)`
Creates a `PotionEffect` from the given `PotionEffectType`, applying duration modifiers and checks.
`@NotNull PotionEffect`
PotionEffectType.`createEffect(int duration, int amplifier)`
Creates a PotionEffect from this PotionEffectType, applying duration modifiers and checks.
`@NotNull PotionEffect`
PotionEffect.`withAmbient(boolean ambient)`
`@NotNull PotionEffect`
PotionEffect.`withAmplifier(int amplifier)`
`@NotNull PotionEffect`
PotionEffect.`withDuration(int duration)`
`@NotNull PotionEffect`
PotionEffect.`withIcon(boolean icon)`
`@NotNull PotionEffect`
PotionEffect.`withParticles(boolean particles)`
`@NotNull PotionEffect`
PotionEffect.`withType(@NotNull PotionEffectType type)`
Methods in org.bukkit.potion that return types with arguments of type PotionEffect
Modifier and Type
Method
Description
`@NotNull Collection<PotionEffect>`
Potion.`getEffects()`
Deprecated.
Returns a collection of `PotionEffect`s that this `Potion` would confer upon a `LivingEntity`.
`@NotNull Collection<PotionEffect>`
PotionBrewer.`getEffects(@NotNull PotionType type, boolean upgraded, boolean extended)`
Returns a collection of `PotionEffect` that would be applied from a potion with the given type.
`@NotNull Collection<PotionEffect>`
PotionBrewer.`getEffectsFromDamage(int damage)`
Deprecated.
Non-Functional